Subject: bug#31547: 25.3; Core dump: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

From: Marc Wilhelm Küster <[email-masked]>
Date: Wed, 23 May 2018 07:10:00 +0200

On Wed, 23 May 2018 04:29:40 +0200,
Eli Zaretskii wrote:
> 
> > Date: Tue, 22 May 2018 21:43:36 +0200
> > From: Marc Wilhelm Küster <[email-masked]>
> > Cc: [email-masked],
> > 	[email-masked]
> > 
> > thanks for your reply and no problem, here we go, assuming the script you've been speaking of is https://www.gnu.org/software/emacs/manual/html_node/emacs/Crashing.html
> > 
> > The file contains quite a number of question marks, though
> 

Thanks!

> That's because your Emacs binary is stripped of debugging symbols.  Is
> there perhaps an auxiliary distribution with those symbols as separate
> files?  If so, could you please install that and repeat what you've
> done?
> 
Not to my knowledge out of the box, I'm afraid. I could perhaps configure and compile my own version of the emacs package with debuging included, but I'd need some time to study how that might work under Archlinux.

Are there alternatives?

Best regards,

Marc